%define major 8
%define libname %mklibname ksba %{major}
%define develname %mklibname ksba -d

Summary:        Library handling X.509 certificates and CMS data
Name:           libksba
Version:        1.3.4
Release:        %mkrel 1
License:        GPLv3
Group:          System/Libraries
URL:            http://www.gnupg.org/
Source0:        ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  libgpg-error-devel >= 1.2
BuildRequires:  multiarch-utils >= 1.0.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

%package -n %{libname}
Summary:        Library handling X.509 certificates and CMS data
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

%package -n %{develname}
Summary:        Development files for %{name} package
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname ksba 8 -d

%description -n %{develname}
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

This package contains files needed to develop
applications using %{name} (For example Ägypten project).

%prep
%setup -q

%build
%configure2_5x
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/ksba-config

rm -f %{buildroot}%{_libdir}/*.la

%clean
%{__rm} -rf %{buildroot}


%post -n %{develname}
%_install_info %{name}.info

%postun -n %{develname}
%_remove_install_info %{name}.info

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README THANKS TODO
%multiarch %{multiarch_bindir}/ksba-config
%{_bindir}/ksba-config
%{_datadir}/aclocal/*
%{_includedir}/*.h
%{_infodir}/*.info*
%{_libdir}/*.so


%changelog
* Wed May 04 2016 ghostbunny <ghostbunny at gmx dot de> 1.3.4-1pclos2016
- 1.3.4

* Tue Apr 28 2015 ghostbunny <ghostbunny at gmx dot de> 1.3.3-1pclos2015
- 1.3.3

* Fri Nov 28 2014 ghostbunny <ghostbunny at gmx dot de> 1.3.2-1pclos2014
- 1.3.2

* Thu Oct 08 2014 bb <bb> 1.3.1-1pclos2014
- update

* Fri Jun 07 2013 ghostbunny <ghostbunny at gmx dot de> 1.3.0-1pclos2013
- 1.3.0

